org.codehaus.groovy.ast.expr

## Class AttributeExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.PropertyExpression
        - - org.codehaus.groovy.ast.expr.AttributeExpression

    public class AttributeExpression
    extends PropertyExpression

Represents an attribute access (accessing the field of a class) such as the expression "foo.@bar".

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`AttributeExpression(Expression objectExpression, Expression property)`
`AttributeExpression(Expression objectExpression, Expression property, boolean safe)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.PropertyExpression

`getObjectExpression, getProperty, getPropertyAsString, getText, isDynamic, isImplicitThis, isSafe, isSpreadSafe, isStatic, setImplicitThis, setObjectExpression, setSpreadSafe, setStatic, toString`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AttributeExpression

    public AttributeExpression(Expression objectExpression,
                               Expression property)

#### AttributeExpression

    public AttributeExpression(Expression objectExpression,
                               Expression property,
                               boolean safe)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `PropertyExpression`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Overrides:
  `transformExpression` in class `PropertyExpression`